// File:  ADTList\ListDemo.java

/**
 * Realization of a List ADT
 * 
 * @author Bary W Pollack
 * @version Dec. 31, 2000 - 23:00 PST
 */

// Provides a simple demonstration of using the List class

public class ListDemo {

    public static void main(String[] args) {
        System.out.println("List Demo");

        List list = new List();
        list.create();

        try {
            System.out.println();
            System.out.print("size=");
            System.out.println(list.size());
        } catch (ListException e) {
            System.out.println(e);
        }

        try {
            System.out.println();
            System.out.print("display: ");
            list.display();
        } catch (ListException e) {
            System.out.println(e);
        }

        System.out.println();
        System.out.println("End List Demo");
        System.out.println();
    }

}

/* ..... Execution Output .....

List Demo

size=
******************** BACKTRACE ********************
List.java:92  from List.checkNullList()
List.java:40  from List.size()
ListDemo.java:23  from ListDemo.main()
******************** EXCEPTION ********************
ListException: list is <null>

display: 
******************** BACKTRACE ********************
List.java:92  from List.checkNullList()
List.java:69  from List.display()
ListDemo.java:31  from ListDemo.main()
******************** EXCEPTION ********************
ListException: list is <null>

End List Demo

..... End Execution Output ..... */
